Package org.snpsift.annotate

# Class QueryResult

java.lang.Object
org.snpsift.annotate.QueryResult

public class QueryResult extends Object
A database query and a result. This is just a tuple with proper names

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`final Collection<org.snpeff.vcf.VariantVcfEntry>`
`results`
`final org.snpeff.interval.Variant`
`variant`

## Constructor Summary

Constructors
Constructor
Description
`QueryResult(org.snpeff.interval.Variant variant, Collection<org.snpeff.vcf.VariantVcfEntry> results)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### variant

public final org.snpeff.interval.Variant variant

### results

public final Collection<org.snpeff.vcf.VariantVcfEntry> results

## Constructor Details

### QueryResult

public QueryResult(org.snpeff.interval.Variant variant, Collection<org.snpeff.vcf.VariantVcfEntry> results)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`